# `BB.JointSupervisor`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/joint_supervisor.ex#L5)

Supervisor for a joint and its child link.

Supervises:
- Joint sensors
- Joint actuators
- Child link supervisor (if joint has a child link)

# `start_link`

```elixir
@spec start_link({module(), BB.Dsl.Joint.t(), [atom()], Keyword.t()}) ::
  Supervisor.on_start()
```

Starts the joint supervisor.

## Arguments

- `robot_module` - The robot module (e.g., `MyRobot`)
- `joint` - The `BB.Dsl.Joint` struct
- `path` - The path to this joint (e.g., `[:base_link]`)
- `opts` - Options passed through to child processes

---

*Consult [api-reference.md](api-reference.md) for complete listing*
